From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/speexdsp/
Date: Sat, 7 Nov 2020 19:10:48 +0000 (UTC) [thread overview]
Message-ID: <1604776231.8e48f86b405e2a90bdda8c80181f94ef520a1685.soap@gentoo> (raw)
commit: 8e48f86b405e2a90bdda8c80181f94ef520a1685
Author: David Michael <fedora.dm0 <AT> gmail <DOT> com>
AuthorDate: Sat Nov 7 19:10:31 2020 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Nov 7 19:10:31 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8e48f86b
media-libs/speexdsp: EAPI 7, drop static-libs
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: David Michael <fedora.dm0 <AT> gmail.com>
Signed-off-by: David Seifert <soap <AT> gentoo.org>
media-libs/speexdsp/speexdsp-1.2_rc3-r3.ebuild | 59 ++++++++++++++++++++++++++
1 file changed, 59 insertions(+)
diff --git a/media-libs/speexdsp/speexdsp-1.2_rc3-r3.ebuild b/media-libs/speexdsp/speexdsp-1.2_rc3-r3.ebuild
new file mode 100644
index 00000000000..4e88346d061
--- /dev/null
+++ b/media-libs/speexdsp/speexdsp-1.2_rc3-r3.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic multilib-minimal
+
+MY_P=${P/_}
+MY_P=${MY_P/_p/.}
+
+DESCRIPTION="Audio compression format designed for speech -- DSP"
+HOMEPAGE="https://www.speex.org/"
+SRC_URI="https://downloads.xiph.org/releases/speex/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="cpu_flags_x86_sse cpu_flags_x86_sse2 cpu_flags_arm_neon"
+
+RDEPEND="!<media-libs/speex-1.2.0"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-configure.patch
+ "${FILESDIR}"/${P}-config_types.h.patch
+ "${FILESDIR}"/${P}-overflow.patch
+)
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e 's:noinst_PROGRAMS:check_PROGRAMS:' \
+ libspeexdsp/Makefile.am || die
+
+ eautoreconf
+
+ append-lfs-flags
+}
+
+multilib_src_configure() {
+ # Can also be configured with one of:
+ # --enable-fixed-point (no floating point)
+ # --with-fft=proprietary-intel-mkl (mkl)
+ # --with-fft=gpl-fftw3 (fftw)
+ ECONF_SOURCE="${S}" econf \
+ --disable-static \
+ $(use_enable cpu_flags_x86_sse sse) \
+ $(use_enable cpu_flags_x86_sse2 sse2) \
+ $(use_enable cpu_flags_arm_neon neon)
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ find "${ED}" -name '*.la' -type f -delete || die
+}
next reply other threads:[~2020-11-07 19:10 UTC|newest]
Thread overview: 37+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-11-07 19:10 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-13 9:35 [gentoo-commits] repo/gentoo:master commit in: media-libs/speexdsp/ Sam James
2023-01-23 3:29 Sam James
2022-07-27 5:02 Miroslav Šulc
2022-07-26 15:20 Agostino Sarubbo
2022-07-26 15:19 Agostino Sarubbo
2022-07-26 15:18 Agostino Sarubbo
2022-07-26 15:16 Agostino Sarubbo
2022-07-26 7:05 Sam James
2022-07-26 7:04 Sam James
2022-07-26 7:04 Sam James
2022-06-25 9:17 Miroslav Šulc
2021-08-10 18:06 Marek Szuba
2021-06-04 14:25 Sergei Trofimovich
2021-06-03 19:58 Sam James
2021-06-03 16:26 Sam James
2021-06-03 16:26 Sam James
2021-06-03 8:23 Sam James
2021-01-23 21:13 Andreas Sturmlechner
2021-01-06 14:27 Fabian Groffen
2020-12-21 9:36 Sergei Trofimovich
2020-12-16 11:12 Sam James
2020-12-06 21:38 Sam James
2020-12-06 18:45 Sam James
2020-12-05 11:43 Sergei Trofimovich
2020-12-04 18:37 Sergei Trofimovich
2020-12-03 17:37 Thomas Deutschmann
2019-05-14 17:53 Aaron Bauman
2018-03-03 12:14 Tobias Klausmann
2018-02-27 22:26 Sergei Trofimovich
2018-02-08 21:35 Andreas Sturmlechner
2017-12-24 9:59 Sergei Trofimovich
2017-12-20 21:42 Sergei Trofimovich
2017-12-19 21:48 Sergei Trofimovich
2017-12-19 15:46 Thomas Deutschmann
2017-12-19 12:08 Jason Zaman
2017-06-21 16:45 Alexis Ballier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1604776231.8e48f86b405e2a90bdda8c80181f94ef520a1685.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox